Package be.cin.mycarenet.esb.common.v2

# Class OrigineType

java.lang.Object
be.cin.mycarenet.esb.common.v2.OrigineType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:15:42+02:00", comments="JAXB RI v4.0.5") public class OrigineType extends Object implements Serializable
Information about the originator of the request.

Java class for OrigineType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OrigineType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice minOccurs="0">
               <sequence>
                 <element name="Package" type="{urn:be:cin:mycarenet:esb:common:v2}PackageType"/>
                 <element name="SiteID" type="{urn:be:cin:mycarenet:esb:common:v2}ValueRefString" minOccurs="0"/>
                 <element name="CareProvider" type="{urn:be:cin:mycarenet:esb:common:v2}CareProviderType"/>
                 <element name="Sender" type="{urn:be:cin:mycarenet:esb:common:v2}PartyType" minOccurs="0"/>
               </sequence>
               <element name="Actor" type="{urn:be:cin:mycarenet:esb:common:v2}ActorType" maxOccurs="unbounded"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrigineType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ActorType>`
  `getActors()`
  The party for which the request was sent.
  `CareProviderType`
  `getCareProvider()`
  The care provider for which the request was sent.
  `PackageType`
  `getPackage()`
  The package that the originator used to send the request.
  `PartyType`
  `getSender()`
  The sender of the request if it isn't the care provider.
  `ValueRefString`
  `getSiteID()`
  Gets the value of the siteID property.
  `void`
  `setCareProvider(CareProviderType value)`
  Sets the value of the careProvider property.
  `void`
  `setPackage(PackageType value)`
  Sets the value of the package property.
  `void`
  `setSender(PartyType value)`
  Sets the value of the sender property.
  `void`
  `setSiteID(ValueRefString value)`
  Sets the value of the siteID property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OrigineType

    public OrigineType()

- ## Method Details

  - ### getActors

    public List<ActorType> getActors()
    The party for which the request was sent. This is not necessary the party that sent the request, but it can be. Gets the value of the actors property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the actors property.

    For example, to add a new item, do as follows:

         getActors().add(newItem);

    Objects of the following type(s) are allowed in the list `ActorType`

    Returns:
      The value of the actors property.

  - ### getPackage

    public PackageType getPackage()
    The package that the originator used to send the request.
    Returns:
      possible object is `PackageType`

  - ### setPackage

    public void setPackage(PackageType value)
    Sets the value of the package property.
    Parameters:
      `value` - allowed object is `PackageType`
    See Also:
      - `getPackage()`

  - ### getSiteID

    public ValueRefString getSiteID()
    Gets the value of the siteID property.
    Returns:
      possible object is `ValueRefString`

  - ### setSiteID

    public void setSiteID(ValueRefString value)
    Sets the value of the siteID property.
    Parameters:
      `value` - allowed object is `ValueRefString`

  - ### getCareProvider

    public CareProviderType getCareProvider()
    The care provider for which the request was sent. This is not necessary the party that sent the request, but it can be.
    Returns:
      possible object is `CareProviderType`

  - ### setCareProvider

    public void setCareProvider(CareProviderType value)
    Sets the value of the careProvider property.
    Parameters:
      `value` - allowed object is `CareProviderType`
    See Also:
      - `getCareProvider()`

  - ### getSender

    public PartyType getSender()
    The sender of the request if it isn't the care provider.
    Returns:
      possible object is `PartyType`

  - ### setSender

    public void setSender(PartyType value)
    Sets the value of the sender property.
    Parameters:
      `value` - allowed object is `PartyType`
    See Also:
      - `getSender()`